* ------------------------------------------------------------------------
* Module......:	XPMENU.PRG
* Title.......: MENU part of the Expand Library Demonstration Program
* Author......:	Pepijn Smits.
* Date........:	July/August 1992
* Copyright...:	(c)1992 by Softwarebureau Pepijn Smits
* Notes.......:	Clipper 5.01 Demo of the Expand Library
*		See XPDEMO.RMK For Compile and Link instructions.
* ------------------------------------------------------------------------

* Menu is Stored in a Few statics..

Static m0 :=	{'',		{'~A~bout..  ',;
 				'Some version, author and copyright information',;
					{||About()}},;
				{'Expand ~I~nfo',;
				'Display some general information about the ~Expand Library~',;
					{||XPinfo()}},;
				{'~K~eyboard',;
				'Set the Typematic ~rate~ of the keyboard',;
					{||TypeRate()}},;
				{'~C~lear desktop',;
				'Redraw the screen with the startup screen',;
					{||SetupScreen()}},;
				{'E~x~it',;
				'Quit the ~Expand Library~ Demonstration program',;
					{||XPstop()}};
		}

Static m1 :=	{'Disk',	{'~S~how status',;
				'Show current ~Status~ (Disk Functions)',;
					{||DiskStatus()}},;
				{'~C~hange drive',;
				'Change the current default ~Drive~ setting',;
					{||ChangeDrive()}},;
				{'~T~emporary file',;
				'Create some ~temporary~ files on disk (also with Multi-Users!)',;
					{||TempFile()}},;
				{'~F~ind a File',;
				'~Find~ file(s) on the disk by scanning the Tree',;
					{||FileFind()}},;
				{'Directory ~T~ree',;
				'Display a Directory ~Tree~, and browse (nothing more)',;
					{||DirTree()}};
		}

Static m2 :=	{'DOS',		{'DOS ~I~nfo',;
				'Display some ~DOS~ information',;
					{||DOSinfo()}},;
				{'~C~ountry interface',;
				'Use the ~COUNTRY~ interface',;
					{||CountryInfo()}},;
				{'DOS error ~M~essages',;
				'Display a list of know ~DOS~ error messages (XPdosMsg())',;
					{||DosMessage()}},;
				{'~P~rint interface',;
				'Use the ~PRINT~ interface',;
					{||PrintTest()}},;
				{'~E~nvironment',;
				'Display all the ~Environment~ strings',;
					{||EnvList()}};
		}

Static m3 :=	{'System',	{'Machine ~I~nformation',;
				'Some Machine ~ID~ information',;
					{||MachInfo()}},;
				{'What is this ~M~achine',;
				'An attempt to ~identify~ the Machine, by scanning the ROM',;
					{||MachID()}},;
				{'~W~armboot',;
				'Reboot the Machine, just like pressing ~Ctrl-Alt-Del~',;
					{||BootWarm()}},;
				{'~C~oldboot',;
				'Reboot the Machine, just like pressing the ~reset~ button',;
					{||BootCold()}},;
				{'~J~oystick test',;
				'Test the ~Joystick~ interface',;
					{||JoyTest()}};
		}

Static m4 :=	{'EGA/VGA',	{'~L~oad a Font',;
				'Load a ~EGA/VGA~ Alternative Text Font',;
					{||FontTest()}},;
				{'~S~tandard Font',;
				'Restore the Standard Font',;
					{||FontStd()}};
		}


Static m5 :=	{'Mouse',	{'Mouse ~I~nfo',;
				'Display some general ~Mouse~ information',;
					{||MousInfo()}},;
				{'Mouse ~O~n/Off',;
				'Set the ~Mouse~ On/Off',;
					{||MousSet()}},;
				{'~A~ssisted Mouse',;
				'Indicate whether ~Assisted~ Mouse pointer should be On',;
					{||MousAssi()}},;
				{'Mouse ~S~ensitivity',;
				'Set the ~Mouse~ sensitivity',;
					{||MousSens()}};
		}


Static m6 :={'Miscellanous',	{'~H~ex dump',;
				'Do some kind of Hex-Dump (The 1st 1024 bytes of XPDEMO.PCX)',;
					{||HexDump()}},;
				{'~L~otus 1-2-3',;
				'Create a ~Lotus 1-2-3~ Spreadsheet',;
					{||Test123()}},;
				{'~P~CX viewer',;
				'Test the Simple but fast ~PXC~ viewer in',;
					{||PCXtest()}},;
				{'~V~oice call',;
				'Make a ~Voice~ Call with the Modem',;
					{||TestDial()}};
		}

Function SetupMenu()
Local M := { m0, m1, m2, m3, m4, m5, m6 }
MenuColor()
XPpullInit(m,{|s|XPmsg(' ~Expand~ Library  '+s)})
Return (NIL)
